<div id="content_wrapper" class="content-full-wrapper">
	<div class="content">
		<div class="header-wrapper header-sm">
			<header class="container-fluid">
				<div class="row">
					<div class="col">
						<h1>งานก่อสร้าง</h1>
					</div>
				</div>
			</header> 
		</div>
		<div class="content-body">
			<div class="row">
				<div class="col">
					<div class="card">

						<div class="col-md-12 style-search" *ngIf="isSearchActive">
							<form class="form-horizontal" (keyup.enter)="getList(1)">
								<div class="row">

									<div class="col-2 text-right p-t-label">
										<label>รหัสงาน :</label>
									</div>
									<div class="col-3">
										<mat-form-field>
											<input matInput [(ngModel)]="searchValue.jobCode"
												[ngModelOptions]="{standalone: true}">
										</mat-form-field>
									</div>

									<div class="col-2 text-right p-t-label">
										<label>ชื่องานก่อสร้าง :</label>
									</div>
									<div class="col-3">
										<mat-form-field>
											<input matInput [(ngModel)]="searchValue.jobName"
												[ngModelOptions]="{standalone: true}">
										</mat-form-field>
									</div>

									<div class="col-md-2 text-right p-t-label">
										<i class="fa fa-search icon-toolbar" aria-hidden="true" (click)="getList(1)"
											matTooltip="{{config.tooltripMsg.search}}"></i>
										<i class="fa fa-times icon-toolbar" (click)="triggerClose($event)"
											matTooltip="{{config.tooltripMsg.close}}"></i>
									</div>
								</div>

								<div class="row">
									<div class="col-2 text-right p-t-label">
										<label>ชื่อกลุ่มงาน :</label>
									</div>
									<div class="col-3">

										<mat-form-field>
											<mat-select [(ngModel)]="searchValue.constructionGroupId"
												[ngModelOptions]="{standalone: true}">
												<mat-option value="">กรุณาเลือกชื่อกลุ่มงาน</mat-option>
												<mat-option *ngFor="let item of drpConstructionGroup" [value]="item.id">
													{{item?.name}}</mat-option>
											</mat-select>
										</mat-form-field>
									</div>
								</div>
							</form>
						</div>

						<div class="row header-content" *ngIf="!isSearchActive">

							<div class="col-md-10">
								<header class="card-header ">
									<h2 class="card-title">
										รายการงานก่อสร้าง
									</h2>
								</header>
							</div>

							<div class="col-md-2 text-right">
								<h2 class="text-right">
									<a href="javascript:void(0)" class="icon"
										matTooltip="{{config.tooltripMsg.search}}">
										<i class="fa fa-search icon-toolbar" (click)="searchActive()"></i>
									</a>
									<a href="javascript:void(0)" class="icon"
										matTooltip="{{config.tooltripMsg.deleteAll}}"
										(click)="delete(dataListTemp,'dataList')">
										<i class="fa fa-trash icon-toolbar"></i>
									</a>
								</h2>
							</div>
						</div>


						<div class="card-block">
							<div class="row">
								<div class="col-md-12 table-responsive">

									<table class="table table-hover">
										<thead>
											<tr>
												<th class="text-center" style="width:10px">
													<mat-checkbox [(ngModel)]="checkAll" [checked]="allRowsSelected"
														(change)="selectAll($event.checked)"></mat-checkbox>
												</th>
												<th class="text-center" style="width:10px">#</th>
												<th>รหัสงาน</th>
												<th>ชื่องานก่อสร้าง</th>
												<th>ชื่อกลุ่มงาน</th>
												<th>สถานะการใช้งาน</th>
												<th>วันที่สร้าง</th>
												<th class="text-center">จัดการ</th>
											</tr>
										</thead>
										<tbody>
											<tr *ngFor="let item of dataList ; let i=index" (click)="view(item.id)"
												style="cursor:pointer;">
												<th class="text-center" style="width:5%"
													(click)="$event.stopPropagation();">
													<mat-checkbox [(ngModel)]="item.selected"
														(change)="countselectedCheck($event.checked , item)">
													</mat-checkbox>
												</th>
												<td class="text-center icon-pointer-toolbar">
													<span>{{ (i+1) + (resultPage.pageNo - 1) * maxitemPerPage }}</span>
												</td>

												<td class="text-left icon-pointer-toolbar">
													<span class="icon-pointer-toolbar">{{item?.code}}</span>
												</td>

												<td class="text-left icon-pointer-toolbar">
													<span class="icon-pointer-toolbar">{{item?.name}}</span>
												</td>

												<td class="text-left icon-pointer-toolbar">
													<span
														class="icon-pointer-toolbar">{{item?.constructionGroupName}}</span>
												</td>

												<td *ngIf="item.active" class="text-left icon-pointer-toolbar">
													<span class="icon-pointer-toolbar">ใช้งาน</span>
												</td>
												<td *ngIf="!item.active" class="text-left icon-pointer-toolbar">
													<span class="icon-pointer-toolbar">ไม่ใช้งาน</span>
												</td>
												<td class="text-left icon-pointer-toolbar" *ngIf="!item?.updatedDate">
													<span class="icon-pointer-toolbar">{{ item?.createdDate }}</span>
												</td>
												<td class="text-left icon-pointer-toolbar" *ngIf="item?.updatedDate">
													<span class="icon-pointer-toolbar">{{ item?.updatedDate }}</span>
												</td>
												<td class="text-center" (click)="$event.stopPropagation();">
													<a href="javascript:void(0)" class="icon"
														[routerLink]="['/master-setting/job-construction/update',item?.id]">
														<i class="zmdi zmdi-edit"
															matTooltip="{{config.tooltripMsg.edit}}"></i>
													</a>
													<a href="javascript:void(0)" class="icon"
														(click)="delete(item,'data')">
														<i class="zmdi zmdi-delete"
															matTooltip="{{config.tooltripMsg.delete}}"></i>
													</a>
												</td>

											</tr>
											<!-- </div> -->
										</tbody>
									</table>
									<!--end table -->
									<!-- pagination -->
									<div class="row">
										<div class="col-md-6 p-l-15">
											<p class="justify-content-start">
												เลือก {{selectedCheck}} / {{totalItemDataList}} รายการ
											</p>
										</div>
										<div class="col-md-6">
											<ngb-pagination [pageSize]="maxitemPerPage" (pageChange)="getList($event)"
												[collectionSize]="resultPage.totalItem" [page]="resultPage.pageNo"
												[maxSize]="maxSize" [rotate]="true" [ellipses]="false"
												[boundaryLinks]="true" class="float-right"></ngb-pagination>
										</div>
									</div>

								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="col-md-12 text-right">
			<button class="btn btn-info animate-fab btn-fab mat-ripple"
				[routerLink]="['/master-setting/job-construction/update',0]">
				<i class="zmdi zmdi-plus"></i>
			</button>
		</div>
	</div>
</div>
<loading [show]="loading"></loading>
<!-- <button class="btn btn-float" type="button"><i class="material-icons">add</i></button> -->